« Back | Print 
Concordia.ca   /   Library   /   Help & how-to   /   Using   /   Libx   /   Installing libx

INSTALL LibX Concordia

LibX Extensions for Chrome

INSTALL Extensions:

Other browsers

LibX is currently supported only for Google Chrome.

Firefox 57 and higher is not compatible with LibX extension due to a major change in their add-on framework.

Internet Explorer is not supported. To see the latest news about LibX from the developers themselves, see Announcements on the LibX site.

LibX Concordia version updates

The LibX Concordia browser extension will be periodically updated with improvements and corrections. Firefox should automatically let you know about these updates and prompt you to install the latest version.

Copyright & privacy

LibX was created at Virginia Tech University and is an open source framework from which specific editions for libraries can be built. For more information see the LibX Concordia University Libraries Edition page, or the LibX homepage.
 
page last updated on: Thursday 18 January 2018
Back to top Back to top